package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrProgramme;

/**
 * 开工方案Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrProgrammeMapper
{
    /**
     * 查询开工方案
     *
     * @param id 开工方案ID
     * @return 开工方案
     */
    public TPssrProgramme selectTPssrProgrammeById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询开工方案列表
     *
     * @param tPssrProgramme 开工方案
     * @return 开工方案集合
     */
    
    public List<TPssrProgramme> selectTPssrProgrammeList(TPssrProgramme tPssrProgramme);

    /**
     * 新增开工方案
     *
     * @param tPssrProgramme 开工方案
     * @return 结果
     */
    public int insertTPssrProgramme(TPssrProgramme tPssrProgramme);

    /**
     * 修改开工方案
     *
     * @param tPssrProgramme 开工方案
     * @return 结果
     */
    public int updateTPssrProgramme(TPssrProgramme tPssrProgramme);
    public int updateTPssrProgrammeByIds(TPssrProgramme tPssrProgramme);

    /**
     * 删除开工方案
     *
     * @param id 开工方案ID
     * @return 结果
     */
    public int deleteTPssrProgrammeById(Long id);

    /**
     * 批量删除开工方案
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrProgrammeByIds(Long[] ids);
}
